### SVARX — что это и зачем ###

**SVARX** (**S**emantical **VA**lidation **R**ulesets **X**ML, произносится «сваркс») — XML-формат для семантического описания правил валидации веб-форм, не привязанный к языку программирования. В настоящее время доступен jQuery-плагин, который реализует валидацию форм при сабмите на основе SVARX-описаний.

SVARX не определяет способ реакции на ошибки валидации. Для визуализации ошибок в браузере используются плагины второго уровня, подключаемые через стандартное API основного плагина.

SVARX уже используется на многих формах Яндекс.Паспорта (в более старой версии формата) и на всём проекте Яндекс.Справочник.

### Возможности ###
#### Что позволяет XML-формат SVARX ####
  * описывать валидацию форм в XML на основе стандартных правил, вводить правила с новой семантикой
  * объединять правила в блоки произвольной вложенности с учётом логики and, or
  * использовать инвертированную проверку (not)
  * описывать правила валидации, зависящие от условий (if..then..else)
  * семантически описывать требования к препроцессингу полей формы перед валидацией
  * использовать именованные идентификаторы отдельных ошибок
  * использовать агрегированные обработчики ошибок валидации, реагирующие на нарушение группы правил
  * размер svarx-файла для несложных форм — **менее 1 KB**, для более сложных — **1-3 KB**.

#### jQuery-реализация (плагин) ####
  * валидирует формы по наступлению выбранных вами событий на основе внешних SVARX-описаний
  * позволяет расширять набор правил за счёт javascript (не смешивая семантику правил и их реализацию) 
  * позволяет использовать готовые плагины второго уровня для отображения ошибок, или быстро разрабатывать свои, подключая их через стандартное API основного плагина
  * поддерживает вмешательство в процесс валидации «вручную»
  * даёт возможность использовать одни и те же правила валидации на разных страницах и проектах без копипаста

### Краткое описание формата ###
SVARX-файл имеет следующую структуру (пример):

```xml
<svarx version="2">
<!-- блок правил препроцессинга полей перед валидацией -->
<preprocess>
    <rule type="trim">
        <el name="newpasswd" />
        <el name="newpasswd2" />
    </rule>
    </preprocess>
    <!-- Сами правила валидации -->
    <validate>
        <rule for="passwd" type="required" onerror="oldpasswd_req" />
        <rule type="eq" inverted="inverted" onerror="oldnew_equal">
            <el name="passwd" />
            <el name="newpasswd" />
        </rule>
    </validate>
</svarx>
```