### Пользовательские правила препроцессинга ###

API для пользовательского препроцессинга очень напоминает таковое для пользовательских валидаций.
Общий способ написания пользовательской функции препроцессинга:

```javascript
(function($) {
    $.fn.svarx.processors['my:preprocessor'] = function(el) {
        el.value = el.value.replace('bad', 'good');
    }
})(jQuery);
```

На вход функции всегда подаётся один DOM-элемент, представляющий из себя input, select или textarea.
Функция может напрямую манипулировать с его значением (el.value).
Ядро SVARX-плагина гарантирует, что элемент существует и его значение можно изменять.

Как и в случае с пользовательскими правилами валидации, действует договорённость о том, что в имени проверки следует добавлять двоеточие в середине, создавая нечто вроде пространства имён.
