### SVARX-плагин дя визуализации ошибок с помощью блоков сообщений, заранее встроенных в вёрстку страницы ###

На боевых проектах Яндекса используются сильно "прокачанные" версии этого плагина, с большим количеством дополнительной тонкой логики.

Данная простая реализация — хорошее начало, чтобы попробовать.

Плагин использует концепцию BEM: https://github.com/bem/

Чеклист для подключения:

  * Подключить jQuery и SVARX-плагин
  * Подключить к стилям b-svarx.css, к скриптам — svarx.methods.messages.js
  * Сделать блок-контейнер, внутрь которого обязательно попадает валидируемая форма, и назначить ему CSS-класс b-svarx
  * Сверстать тексты ошибок (в виде блоков) по инструкции ниже
  * Подключить SVARX и данный плагин визуализации обычным способом
  
Каждому блоку прописать CSS-классы вида "b-svarx__err b-svarx__err_visible_no b-svarx__err_id_**NNN**", где:
  
  * **NNN** — идентификатор ошибки в SVARX-файле, описание которой (т.е. текст ошибки) содержится в данном блоке
  * **b-svarx__err_visible_no** — специальный класс, который прячет блок ошибки (при загрузке страницы ошибок видно быть не должно)

Данный плагин после попытки отправки формы покажет только те ошибки, которые реально случились, а остальные спрячет.
Это будет повторяться при каждой повторной попытке отправить форму.
Исправление данных пользователем не прячет сообщения об ошибках, а сохраняет их до следующей попытки отправки формы.

Пример (игрушечный) вёрстки подобного блока:

```html
<div class="b-svarx">
    <form action="/some/where" method="get">
        E-Mail:
        <input name="email" type="text" value="" />

        <div class="b-svarx__err b-svarx__err_visible_no b-svarx__err_id_noemail">
        Пожалуйста, укажите адрес электронной почты.
        </div>

        <div class="b-svarx__err b-svarx__err_visible_no b-svarx__err_id_emailincorrect">
        Адрес электронной почты указан неверно.
        </div>
    </form>
</div>

```
